org.eclipse.cdt.utils.debug

## Class DebugParameterKind

- java.lang.Object
- - org.eclipse.cdt.utils.debug.DebugParameterKind

    public final class DebugParameterKind
    extends Object

DebugParameterKind

### Field Summary

Fields
`static DebugParameterKind` `REFERENCE`
`static DebugParameterKind` `REGISTER`
`static DebugParameterKind` `REGISTER_REFERENCE`
`static DebugParameterKind` `STACK`
`static DebugParameterKind` `UNKNOWN`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object obj)`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### UNKNOWN

    public static final DebugParameterKind UNKNOWN

#### STACK

    public static final DebugParameterKind STACK

#### REGISTER

    public static final DebugParameterKind REGISTER

#### REFERENCE

    public static final DebugParameterKind REFERENCE

#### REGISTER_REFERENCE

    public static final DebugParameterKind REGISTER_REFERENCE

### Method Detail

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`